run-robot: minor shellcheck fixes

Signed-off-by: Patrick Williams <patrick@stwcx.xyz>
Change-Id: I1c0a9d892d2b6635cb2e9cce6bfb826c770de456
diff --git a/scripts/run-robot.sh b/scripts/run-robot.sh
index 3d4e3d6..5b2d967 100755
--- a/scripts/run-robot.sh
+++ b/scripts/run-robot.sh
@@ -29,7 +29,7 @@
 git clone https://github.com/openbmc/openbmc-test-automation.git \
         "${ROBOT_CODE_HOME}"
 
-cd "${ROBOT_CODE_HOME}"
+cd "${ROBOT_CODE_HOME}" || exit
 
 chmod ugo+rw -R "${ROBOT_CODE_HOME}"/*